%define module	setproctitle

Name:		python-%{module}
Version:	1.1.10
Release:	%mkrel 1
Summary:	A library allowing a process to change its title
License:	BSD
Group:		System/Libraries
URL:		https://github.com/dvarrazzo/py-setproctitle/
Source0:	https://pypi.io/packages/source/s/%{module}/%{module}-%{version}.tar.xz
BuildRequires: %{_lib}python-devel

%description
The library allows a process to change its title (as displayed by system tools
such as ps and top).
Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with.

%package -n	python3-%{module}
Summary:	A library allowing a process to change its title
Group:		Development/Python
BuildRequires:	%{_lib}python3-devel

%description -n	python3-%{module}
The library allows a process to change its title (as displayed by system tools
such as ps and top).
Changing the title is mostly useful in multi-process systems, for example when
a master process is forked: changing the children's title allows to identify
the task each process is busy with.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc HISTORY.rst README.rst
%{python2_sitearch}/%{module}.so
%{python2_sitearch}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc HISTORY.rst README.rst
%{python3_sitearch}/%{module}.cpython-3?m*.so
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Nov 13 2016 adrianomorselli <adrianomorselli> 1.1.10-1uplos2016
- rebuild

* Fri May 27 2016 bb <bb> 1.1.10-1pclos2016
- update

